> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all units

> Returns a list of units. The units are returned sorted by creation date, with the most recent units appearing first.



## OpenAPI

````yaml openapi-core.json GET /v1/units
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/units:
    get:
      tags:
        - Units
      summary: List all units
      description: >-
        Returns a list of units. The units are returned sorted by creation date,
        with the most recent units appearing first.
      operationId: units_list
      responses:
        '200':
          description: A object with a data property that contains an array of units.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - unit
                        active:
                          type: boolean
                          description: Whether the unit is currently active.
                        address:
                          type: object
                          properties:
                            line1:
                              type:
                                - string
                                - 'null'
                            line2:
                              type:
                                - string
                                - 'null'
                            city:
                              type:
                                - string
                                - 'null'
                            country:
                              type:
                                - string
                                - 'null'
                            postal_code:
                              type:
                                - string
                                - 'null'
                            state:
                              type:
                                - string
                                - 'null'
                          description: The physical address of the unit.
                        archived:
                          type: boolean
                          description: Whether the unit has been archived.
                        archived_at:
                          type:
                            - number
                            - 'null'
                          description: The time at which the unit was archived.
                        assignee:
                          type:
                            - string
                            - 'null'
                          description: The ID of the user the unit is assigned to.
                        available_from:
                          type:
                            - number
                            - 'null'
                          description: The date the unit is available from.
                        bathrooms:
                          type:
                            - number
                            - 'null'
                          description: The number of bathrooms in the unit.
                        bedrooms:
                          type:
                            - number
                            - 'null'
                          description: The number of bedrooms in the unit.
                        building:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the object.
                                created:
                                  type: number
                                  description: >-
                                    Time at which the object was created.
                                    Measured in seconds since the Unix epoch.
                                account:
                                  type: string
                                  description: >-
                                    The account that the object belongs to. Only
                                    returned if the request is made with a valid
                                    Yorlet-Context header.
                                deleted:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Only returned if the object has been
                                    deleted.
                                object:
                                  type: string
                                  enum:
                                    - building
                                active:
                                  type: boolean
                                  description: Whether the building is currently active.
                                address:
                                  type: object
                                  properties:
                                    line1:
                                      type:
                                        - string
                                        - 'null'
                                    line2:
                                      type:
                                        - string
                                        - 'null'
                                    city:
                                      type:
                                        - string
                                        - 'null'
                                    country:
                                      type:
                                        - string
                                        - 'null'
                                    postal_code:
                                      type:
                                        - string
                                        - 'null'
                                    state:
                                      type:
                                        - string
                                        - 'null'
                                  description: The physical address of the building.
                                currency:
                                  type: string
                                  description: The default currency used for the building.
                                description:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    An arbitrary description attached to the
                                    building.
                                marketing:
                                  type: object
                                  properties:
                                    featured_photo:
                                      type:
                                        - string
                                        - 'null'
                                      description: >-
                                        The ID of the file used as the featured
                                        photo for the building.
                                    photos:
                                      type: array
                                      items:
                                        type: string
                                      description: >-
                                        IDs of additional photos used to market
                                        the building.
                                  description: >-
                                    Marketing details displayed for the
                                    building.
                                metadata:
                                  type:
                                    - object
                                    - 'null'
                                  additionalProperties:
                                    type: string
                                  description: >-
                                    Set of key-value pairs that you can attach
                                    to an object. This can be useful for storing
                                    additional information about the object in a
                                    structured format.
                                name:
                                  type: string
                                  description: The name of the building.
                                removable:
                                  type: boolean
                                  description: Whether the building can be deleted.
                                single_unit:
                                  type: boolean
                                  description: >-
                                    Whether the building is treated as a single
                                    unit.
                                type:
                                  type:
                                    - string
                                    - 'null'
                                  enum:
                                    - block_management
                                    - commercial
                                    - residential
                                    - student
                                    - null
                                  description: The type of the building.
                                unit_fees:
                                  type: object
                                  properties:
                                    management_fee:
                                      type:
                                        - number
                                        - 'null'
                                      description: >-
                                        The default management fee charged to
                                        landlords for units in the building.
                                    management_fee_amount:
                                      type:
                                        - number
                                        - 'null'
                                      description: >-
                                        The fixed management fee amount, in the
                                        smallest currency unit, when using a
                                        `fixed` fee type.
                                    management_fee_discount:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        end:
                                          type:
                                            - number
                                            - 'null'
                                          description: >-
                                            The timestamp at which the management
                                            fee discount ends.
                                        percent_off:
                                          type:
                                            - number
                                            - 'null'
                                          description: >-
                                            The percentage discount applied to the
                                            management fee.
                                      required:
                                        - percent_off
                                      description: >-
                                        An optional discount applied to the
                                        management fee.
                                    management_fee_type:
                                      type:
                                        - string
                                        - 'null'
                                      enum:
                                        - percentage
                                        - fixed
                                        - null
                                      description: How the management fee is calculated.
                                    renewal_fee:
                                      type:
                                        - number
                                        - 'null'
                                      description: >-
                                        The default renewal fee charged to
                                        landlords for units in the building.
                                    rent_review_fee:
                                      type:
                                        - number
                                        - 'null'
                                      description: >-
                                        The default rent review fee charged to
                                        landlords for units in the building.
                                    tax:
                                      type:
                                        - number
                                        - 'null'
                                      description: >-
                                        The default tax rate applied to fees
                                        charged to landlords for units in the
                                        building.
                                    tax_behavior:
                                      type:
                                        - string
                                        - 'null'
                                      enum:
                                        - exclusive
                                        - inclusive
                                        - null
                                      description: >-
                                        Whether the default tax rate is
                                        inclusive or exclusive of the fee
                                        amount.
                                    tenant_find_fee:
                                      type:
                                        - number
                                        - 'null'
                                      description: >-
                                        The default tenant find fee charged to
                                        landlords for units in the building.
                                    updated_at:
                                      type:
                                        - integer
                                        - 'null'
                                      description: >-
                                        The time at which the unit fees were
                                        last updated.
                                  required:
                                    - management_fee
                                    - management_fee_amount
                                    - management_fee_discount
                                    - management_fee_type
                                    - renewal_fee
                                    - rent_review_fee
                                    - tax
                                    - tax_behavior
                                    - tenant_find_fee
                                    - updated_at
                                  description: >-
                                    Default fees applied to units in this
                                    building.
                              required:
                                - id
                                - created
                                - object
                                - active
                                - address
                                - currency
                                - description
                                - marketing
                                - name
                                - removable
                                - single_unit
                                - type
                                - unit_fees
                            - type: string
                          description: The building the unit belongs to.
                        completion_date:
                          type:
                            - number
                            - 'null'
                          description: The expected completion date of the unit.
                        contract_address:
                          type:
                            - string
                            - 'null'
                          description: The address used on contracts for the unit.
                        currency:
                          type: string
                          description: The default currency for the unit.
                        currency_options:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: object
                            properties:
                              deposit_amount:
                                type:
                                  - number
                                  - 'null'
                                description: >-
                                  The deposit amount, in the smallest currency
                                  unit.
                              rent_amount:
                                type:
                                  - number
                                  - 'null'
                                description: >-
                                  The rent amount, in the smallest currency
                                  unit.
                              rent_tax_percent:
                                type:
                                  - number
                                  - 'null'
                                description: The tax percentage applied to the rent.
                            required:
                              - deposit_amount
                              - rent_amount
                          description: >-
                            Per-currency options for the unit, keyed by ISO
                            currency code.
                        default_deposit:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The default deposit, in the smallest currency unit,
                            charged for the unit.
                        default_price:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The default monthly rent, in the smallest currency
                            unit, for the unit.
                        default_rent_tax_rate:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the object.
                                created:
                                  type: number
                                  description: >-
                                    Time at which the object was created.
                                    Measured in seconds since the Unix epoch.
                                account:
                                  type: string
                                  description: >-
                                    The account that the object belongs to. Only
                                    returned if the request is made with a valid
                                    Yorlet-Context header.
                                deleted:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Only returned if the object has been
                                    deleted.
                                object:
                                  type: string
                                  enum:
                                    - tax_rate
                                active:
                                  type: boolean
                                  description: Whether the tax rate is active.
                                country:
                                  type:
                                    - string
                                    - 'null'
                                  description: The country for the tax rate.
                                metadata:
                                  type:
                                    - object
                                    - 'null'
                                  additionalProperties:
                                    type: string
                                  description: >-
                                    Set of key-value pairs that you can attach
                                    to an object. This can be useful for storing
                                    additional information about the object in a
                                    structured format.
                                description:
                                  type:
                                    - string
                                    - 'null'
                                  description: The description of the tax rate.
                                inclusive:
                                  type: boolean
                                  description: >-
                                    Whether the tax rate is inclusive or
                                    exclusive.
                                jurisdiction:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    The jurisdiction for the tax rate. You can
                                    use this label field for tax reporting
                                    purposes. It also appears on your customer’s
                                    invoice.
                                name:
                                  type: string
                                  description: >-
                                    The name of the tax rates as it will appear
                                    to your customer on their receipt email,
                                    PDF, and the hosted invoice page.
                                percentage:
                                  type: number
                                  description: The percentage of the tax rate out of 100.
                                state:
                                  type:
                                    - string
                                    - 'null'
                                  description: The state for the tax rate.
                                tax_type:
                                  type:
                                    - string
                                    - 'null'
                                  enum:
                                    - gst
                                    - sales_tax
                                    - vat
                                    - custom
                                    - null
                                  description: The high-level tax type.
                              required:
                                - id
                                - created
                                - object
                                - active
                                - country
                                - description
                                - inclusive
                                - jurisdiction
                                - name
                                - percentage
                                - state
                                - tax_type
                            - type: string
                            - type: 'null'
                          description: >-
                            The default tax rate applied to the rent for the
                            unit.
                        features:
                          type:
                            - object
                            - 'null'
                          properties:
                            aspect:
                              type:
                                - string
                                - 'null'
                              enum:
                                - 'n'
                                - s
                                - e
                                - w
                                - ne
                                - nw
                                - se
                                - sw
                                - corner
                                - null
                              description: The orientation of the unit.
                            balcony:
                              type:
                                - boolean
                                - 'null'
                              description: Whether the unit has a balcony.
                            pet_friendly:
                              type:
                                - boolean
                                - 'null'
                              description: Whether the unit is pet-friendly.
                            view:
                              type:
                                - string
                                - 'null'
                              description: A description of the view from the unit.
                            min_term:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The minimum term, expressed as an ISO 8601
                                duration, for the unit.
                        fees:
                          type:
                            - object
                            - 'null'
                          properties:
                            management_fee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default management fee charged to landlords
                                for units in the building.
                            management_fee_amount:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The fixed management fee amount, in the smallest
                                currency unit, when using a `fixed` fee type.
                            management_fee_discount:
                              type:
                                - object
                                - 'null'
                              properties:
                                end:
                                  type:
                                    - number
                                    - 'null'
                                  description: >-
                                    The timestamp at which the management fee
                                    discount ends.
                                percent_off:
                                  type:
                                    - number
                                    - 'null'
                                  description: >-
                                    The percentage discount applied to the
                                    management fee.
                              required:
                                - percent_off
                              description: >-
                                An optional discount applied to the management
                                fee.
                            management_fee_type:
                              type:
                                - string
                                - 'null'
                              enum:
                                - percentage
                                - fixed
                                - null
                              description: How the management fee is calculated.
                            renewal_fee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default renewal fee charged to landlords for
                                units in the building.
                            rent_review_fee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default rent review fee charged to landlords
                                for units in the building.
                            tax:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default tax rate applied to fees charged to
                                landlords for units in the building.
                            tax_behavior:
                              type:
                                - string
                                - 'null'
                              enum:
                                - exclusive
                                - inclusive
                                - null
                              description: >-
                                Whether the default tax rate is inclusive or
                                exclusive of the fee amount.
                            tenant_find_fee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default tenant find fee charged to landlords
                                for units in the building.
                            updated_at:
                              type:
                                - integer
                                - 'null'
                              description: >-
                                The time at which the unit fees were last
                                updated.
                          required:
                            - management_fee
                            - management_fee_amount
                            - management_fee_discount
                            - management_fee_type
                            - renewal_fee
                            - rent_review_fee
                            - tax
                            - tax_behavior
                            - tenant_find_fee
                            - updated_at
                          description: >-
                            Fee overrides for the unit. Defaults to the fees on
                            the building when not set.
                        furnished:
                          type:
                            - boolean
                            - 'null'
                          description: Whether the unit is furnished.
                        floor:
                          type:
                            - number
                            - 'null'
                          description: The floor the unit is on.
                        has_owner:
                          type:
                            - boolean
                            - 'null'
                          description: >-
                            Whether the unit currently has at least one owner
                            attached.
                        compliance:
                          type:
                            - object
                            - 'null'
                          properties:
                            epc:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The ID of the file containing the EPC
                                certificate.
                            epc_expires_at:
                              type:
                                - number
                                - 'null'
                              description: The date at which the EPC certificate expires.
                            electric_safety:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The ID of the file containing the electric
                                safety certificate.
                            electric_safety_expires_at:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The date at which the electric safety
                                certificate expires.
                            gas_safety:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The ID of the file containing the gas safety
                                certificate.
                            gas_safety_expires_at:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The date at which the gas safety certificate
                                expires.
                            gas_safety_required:
                              type:
                                - boolean
                                - 'null'
                              description: >-
                                Whether a gas safety certificate is required for
                                the unit.
                        maintenance_threshold:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The spend threshold, in the smallest currency unit,
                            above which maintenance requires owner approval.
                        management_type:
                          type: string
                          enum:
                            - fully_managed
                            - let_only
                            - rent_collection
                          description: The management type for the unit.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        name:
                          type: string
                          description: The name of the unit.
                        offline_reason:
                          type:
                            - string
                            - 'null'
                          description: The reason the unit is offline.
                        reference:
                          type:
                            - string
                            - 'null'
                          description: An arbitrary reference attached to the unit.
                        plot_number:
                          type:
                            - string
                            - 'null'
                          description: The plot number of the unit.
                        rent:
                          type:
                            - object
                            - 'null'
                          properties:
                            default:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default monthly rent, in the smallest
                                currency unit.
                            maximum:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The maximum monthly rent the unit will be
                                advertised at.
                            minimum:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The minimum monthly rent the unit will be
                                advertised at.
                            tax_percent:
                              type:
                                - number
                                - 'null'
                              description: The tax percentage applied to the rent.
                        sales:
                          type:
                            - object
                            - 'null'
                          properties:
                            last_purchase_price:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The last purchase price of the unit, in the
                                smallest currency unit.
                        square_foot:
                          type:
                            - number
                            - 'null'
                          description: The size of the unit in square feet.
                        square_metre:
                          type:
                            - number
                            - 'null'
                          description: The size of the unit in square metres.
                        status:
                          type: string
                          enum:
                            - available
                            - maintenance
                            - occupied
                            - offline
                            - unmanaged
                          description: The status of the unit.
                        under_offer:
                          type: boolean
                          description: Whether the unit is currently under offer.
                        unit_group:
                          type:
                            - string
                            - 'null'
                          description: The ID of the unit group the unit belongs to.
                      required:
                        - id
                        - created
                        - object
                        - active
                        - address
                        - available_from
                        - bathrooms
                        - bedrooms
                        - building
                        - completion_date
                        - contract_address
                        - currency
                        - currency_options
                        - default_deposit
                        - default_price
                        - default_rent_tax_rate
                        - fees
                        - furnished
                        - floor
                        - has_owner
                        - maintenance_threshold
                        - management_type
                        - name
                        - plot_number
                        - square_foot
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````